<template>
  <div>
    <div class="flex justify-between mb-4 text-xs text-gray-900">
      <div v-if="elements.length">Enter your text in the fields below</div>
      <div v-else>Click on the link below to add a line of text</div>
      <div v-if="elements.length">Apply to All</div>
    </div>
    <div v-for="element in elements" :key="element.id">
      <edit-element :elements="elements" :item="item" :element="element" :itemKey="index" />
    </div>
    <div>
    <TButton class="text-sm inline-flex items-center" v-if="!item.lockTextLines" :disabled="!item.maxTextLines || item.maxTextLines <= elements.length" @click="newElement" variant="link">
      <Icon :style="{ fontSize: '1em' }" type="plus-square" class="mr-2"/>
      <span>Add another line of text</span>
    </TButton>
    </div>
  </div>
</template>

<script src="./edit-panel-texts.js" />